# Uses of Interface
org.eclipse.emf.cdo.server.db.mapping.IMappingStrategy

Packages that use IMappingStrategy
Package
Description
org.eclipse.emf.cdo.server.db
Server concepts for dealing with DB stores and accessors.
org.eclipse.emf.cdo.server.db.evolution.phased
A phased approach to database evolution.
org.eclipse.emf.cdo.server.db.mapping
Server concepts for dealing with mapping strategies and mappings for classes, lists and types.

## Uses of IMappingStrategy in org.eclipse.emf.cdo.server.db

Methods in org.eclipse.emf.cdo.server.db that return IMappingStrategy
Modifier and Type
Method
Description
`static IMappingStrategy`
CDODBUtil.`createHorizontalMappingStrategy()`
Creates a horizontal `mapping strategy` that supports all valid combinations of auditing and branching.
`static IMappingStrategy`
CDODBUtil.`createHorizontalMappingStrategy(boolean auditing)`
`static IMappingStrategy`
CDODBUtil.`createHorizontalMappingStrategy(boolean auditing, boolean branching)`
`static IMappingStrategy`
CDODBUtil.`createHorizontalMappingStrategy(boolean auditing, boolean branching, boolean withRanges)`
`static IMappingStrategy`
CDODBUtil.`createMappingStrategy(String type)`
Can only be used when Eclipse is running.
`IMappingStrategy`
IDBStore.`getMappingStrategy()`
Methods in org.eclipse.emf.cdo.server.db with parameters of type IMappingStrategy
Modifier and Type
Method
Description
`static IDBStore`
CDODBUtil.`createStore(IMappingStrategy mappingStrategy, org.eclipse.net4j.db.IDBAdapter dbAdapter, org.eclipse.net4j.db.IDBConnectionProvider dbConnectionProvider)`
`static IDBStore`
CDODBUtil.`createStore(IMappingStrategy mappingStrategy, org.eclipse.net4j.db.IDBAdapter dbAdapter, org.eclipse.net4j.db.IDBConnectionProvider dbConnectionProvider, Map<String,String> properties)`
`static IDBStore`
CDODBUtil.`createStore(IMappingStrategy mappingStrategy, org.eclipse.net4j.db.IDBAdapter dbAdapter, org.eclipse.net4j.db.IDBConnectionProvider dbConnectionProvider, IModelEvolutionSupport modelEvolutionSupport, Map<String,String> properties)`

## Uses of IMappingStrategy in org.eclipse.emf.cdo.server.db.evolution.phased

Subinterfaces of IMappingStrategy in org.eclipse.emf.cdo.server.db.evolution.phased
Modifier and Type
Interface
Description
`interface`
`ISchemaMigration`
Interface to complement `IMappingStrategy` with schema migration capabilities.

## Uses of IMappingStrategy in org.eclipse.emf.cdo.server.db.mapping

Subinterfaces of IMappingStrategy in org.eclipse.emf.cdo.server.db.mapping
Modifier and Type
Interface
Description
`interface`
`IMappingStrategy2`
Interface to complement `IMappingStrategy`.
Methods in org.eclipse.emf.cdo.server.db.mapping that return IMappingStrategy
Modifier and Type
Method
Description
`default IMappingStrategy`
IMappingStrategy.`getDelegate()`
`static IMappingStrategy`
IMappingStrategy.`getEffectiveMappingStrategy(IMappingStrategy mappingStrategy)`
`final IMappingStrategy`
AbstractTypeMapping.`getMappingStrategy()`
Methods in org.eclipse.emf.cdo.server.db.mapping with parameters of type IMappingStrategy
Modifier and Type
Method
Description
`ITypeMapping`
ITypeMapping.Provider.`createTypeMapping(IMappingStrategy mappingStrategy, EStructuralFeature feature)`
Create an `ITypeMapping` implementation.
`static IMappingStrategy`
IMappingStrategy.`getEffectiveMappingStrategy(IMappingStrategy mappingStrategy)`
`abstract org.eclipse.net4j.db.DBType`
ColumnTypeModifier.`modify(ITypeMapping.Provider provider, IMappingStrategy mappingStrategy, EStructuralFeature feature, org.eclipse.net4j.db.DBType dbType)`
Can modify the column type of a `type mapping` that is created by the `type mapping registry`.
`final void`
AbstractTypeMapping.`setMappingStrategy(IMappingStrategy mappingStrategy)`
`void`
DelegatingTypeMapping.`setMappingStrategy(IMappingStrategy mappingStrategy)`
`void`
ITypeMapping.`setMappingStrategy(IMappingStrategy mappingStrategy)`